
From: Pekka Enberg <penberg@cs.helsinki.fi>

This patch changes the initialization of radeonfb_default_var to use named
initializers and avoids explicitly setting fields that are automatically
zeroed.

Signed-off-by: Pekka Enberg <penberg@cs.helsinki.fi>
Acked-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/aty/radeon_monitor.c |   23 +++++++++++++++++++----
 1 files changed, 19 insertions(+), 4 deletions(-)

diff -puN drivers/video/aty/radeon_monitor.c~radeonfb-screeninfo-initialization-cleanup drivers/video/aty/radeon_monitor.c
--- 25/drivers/video/aty/radeon_monitor.c~radeonfb-screeninfo-initialization-cleanup	2004-10-26 18:48:35.581127464 -0700
+++ 25-akpm/drivers/video/aty/radeon_monitor.c	2004-10-26 18:48:35.585126856 -0700
@@ -7,10 +7,25 @@
 #endif /* CONFIG_PPC_OF */
 
 static struct fb_var_screeninfo radeonfb_default_var = {
-        640, 480, 640, 480, 0, 0, 8, 0,
-        {0, 6, 0}, {0, 6, 0}, {0, 6, 0}, {0, 0, 0},
-        0, 0, -1, -1, 0, 39721, 40, 24, 32, 11, 96, 2,
-        0, FB_VMODE_NONINTERLACED
+	.xres		= 640,
+	.yres		= 480,
+	.xres_virtual	= 640,
+	.yres_virtual	= 480,
+	.bits_per_pixel = 8,
+	.red		= { 0, 6, 0 },
+	.green		= { 0, 6, 0 },
+	.blue		= { 0, 6, 0 },
+	.activate	= FB_ACTIVATE_NOW,
+	.height		= -1,
+	.width		= -1,
+	.pixclock	= 39721,
+	.left_margin	= 40,
+	.right_margin	= 24,
+	.upper_margin	= 32,
+	.lower_margin	= 11,
+	.hsync_len	= 96,
+	.vsync_len	= 2,
+	.vmode		= FB_VMODE_NONINTERLACED
 };
 
 static char *radeon_get_mon_name(int type)
_
